HanMacWrdJGraphInternal::State Struct Reference

Internal: the state of a HanMacWrdJGraph. More...

## Public Member Functions

| State ()
| constructor
std::shared_ptr< Frame > | findFrame (int type, int lId) const
| tries to find the lId the frame of a given type
FrameFormat const & | getFrameFormat (int id) const
| returns the frame format corresponding to an id
bool | getColor (int id, MWAWColor &col)
| returns a color correspond to an id
bool | getPattern (int id, Pattern &pattern)
| returns a pattern correspond to an id
void | initColors ()
| init the color list
void | initPatterns ()
| init the pattenr list

## Static Public Member Functions

static MWAWColor | getColor (MWAWColor col, float pattern)
| returns a color corresponding to a pattern and a color

## Public Attributes

std::vector< std::shared_ptr< Frame > > | m_framesList
| the list of frames
std::map< long, int > | m_framesMap
| a map zId->frame pos in frames list
std::vector< FrameFormat > | m_frameFormatsList
| the list of frame format
int | m_numPages
std::vector< MWAWColor > | m_colorList
| a list colorId -> color
std::vector< Pattern > | m_patternList
| a list patternId -> pattern
FrameFormat | m_defaultFormat
| empty format used to return a default format

## Detailed Description

Internal: the state of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

## State()

HanMacWrdJGraphInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## findFrame()

std::shared_ptr< Frame > HanMacWrdJGraphInternal::State::findFrame | ( | int | type,
|  | int | lId ) const

inline

tries to find the lId the frame of a given type

## getColor() [1/2]

bool HanMacWrdJGraphInternal::State::getColor | ( | int | id,
|  | MWAWColor & | col )

inline

returns a color correspond to an id

## getColor() [2/2]

MWAWColor HanMacWrdJGraphInternal::State::getColor | ( | MWAWColor | col,
|  | float | pattern )

inline static

returns a color corresponding to a pattern and a color

## getFrameFormat()

FrameFormat const & HanMacWrdJGraphInternal::State::getFrameFormat | ( | int | id | ) | const

inline

returns the frame format corresponding to an id

## getPattern()

bool HanMacWrdJGraphInternal::State::getPattern | ( | int | id,
|  | Pattern & | pattern )

inline

returns a pattern correspond to an id

## initColors()

void HanMacWrdJGraphInternal::State::initColors | ( |  | ) |

init the color list

Referenced by getColor().

## initPatterns()

void HanMacWrdJGraphInternal::State::initPatterns | ( |  | ) |

init the pattenr list

Referenced by getPattern().

## Member Data Documentation

## m_colorList

std::vector<MWAWColor> HanMacWrdJGraphInternal::State::m_colorList

a list colorId -> color

Referenced by getColor(), initColors(), and State().

## m_defaultFormat

FrameFormat HanMacWrdJGraphInternal::State::m_defaultFormat

empty format used to return a default format

Referenced by getFrameFormat(), and State().

## m_frameFormatsList

std::vector<FrameFormat> HanMacWrdJGraphInternal::State::m_frameFormatsList

the list of frame format

Referenced by getFrameFormat(), and State().

## m_framesList

std::vector<std::shared_ptr<Frame> > HanMacWrdJGraphInternal::State::m_framesList

the list of frames

Referenced by findFrame(), and State().

## m_framesMap

std::map<long, int> HanMacWrdJGraphInternal::State::m_framesMap

a map zId->frame pos in frames list

Referenced by State().

## m_numPages

int HanMacWrdJGraphInternal::State::m_numPages

Referenced by State().

## m_patternList

std::vector<Pattern> HanMacWrdJGraphInternal::State::m_patternList

a list patternId -> pattern

Referenced by getPattern(), initPatterns(), and State().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx